# $Id: kickpim.spec,v 1.13 2004/03/11 20:20:20 rexdieter Exp $

Name:	 kickpim
Summary: KDE kicker applet to access addressbook
Epoch:	 0
Version: 0.5.3
Release: 0.fdr.4%{?dist_tag}.2
License: GPL
Group:	 Applications/Productivity
URL:	 http://kickpim.sourceforge.net/
Source:	 http://dl.sourceforge.net/sourceforge/kickpim/kickpim-0.5.3.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# remove build dep on qt-3.2
Patch1: kickpim-0.5.3-qtdesigner.patch

BuildRequires: autoconf >= 2.53

# to workaround missing Requires in redhat's qt-devel, kdelibs-devel
# and to make fedora's buildsystem happy
BuildRequires: XFree86-devel
BuildRequires: libpng-devel zlib-devel libjpeg-devel
BuildRequires: arts-devel libart_lgpl-devel

BuildRequires: kdepim-devel >= 6:3.1
Requires: kdebase

# Dynamically determine qt,kdelibs dependancies, depending on 
# what we're built against.
BuildRequires: qt-devel >= 1:3.1
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: kdelibs-devel >= 6:3.1
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}

%description
KickPIM is a panel applet for quickly editing and accessing the KDE
addressbook or sending emails to your contacts. It shows also a list of
upcoming birthdays


%prep
%setup -q

%patch1 -p1 -b .qtdesigner


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
%if "%{?debug}" == "1"
  --enable-debug --enable-warnings \
%else
  --disable-dependency-tracking \
  --disable-debug --disable-warnings \
  --enable-final
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README
%{_libdir}/lib*
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/apps/kickpim
%lang(en) %doc %{_docdir}/HTML/en/*


%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 0:0.5.3-0.fdr.4
- dynamically determine versions for qt,kdelibs dependancies.

* Tue Mar 09 2004 Rex Dieter <rexdieter at sf.net> 0:0.5.3-0.fdr.3
- update qtdesigner patch (prev was incomplete)
- --disable-rpath

* Tue Mar 09 2004 Rex Dieter <rexdieter at sf.net> 0:0.5.3-0.fdr.2
- patch to remove build dep on qt-3.2

* Tue Mar 09 2004 Rex Dieter <rexdieter at sf.net> 0:0.5.3-0.fdr.1
- 0.5.3

* Sat Feb 28 2004 Rex Dieter <rexdieter at sf.net> 0:0.5.1-0.fdr.4
- remove not-needed ldconfig in %%post/%%postun
- cleanup filelist
- reduce min req's (back to) kde-3.1

* Wed Feb 11 2004 Rex Dieter <rexdieter at sf.net> 0:0.5.1-0.fdr.3
- (re)build on/for kde-3.2

* Tue Dec 23 2003 Rex Dieter <rexdieter at sf.net> 0:0.5.1-0.fdr.2
- respin to purge libvcard dep's

* Mon Dec 01 2003 Rex Dieter <rexdieter at sf.net> 0:0.5.1-0.fdr.1
- 0.5.1
- add BuildRequires to make fedora's buildsystem happy

* Wed Nov 05 2003 Rex Dieter <rexdieter at sf.net> 0:0.5-0.fdr.0
- 0.5

* Wed Sep 17 2003 Rex Dieter <rexdieter at sf.net> 0:0.4.7-0.fdr.0
- fedora'ize

